local wezterm = require 'wezterm'
local act = wezterm.action

return {
    font = wezterm.font 'ZedMono Nerd Font',
    colors = {
        -- Make the selection text color fully transparent.
        -- When fully transparent, the current text color will be used.
        selection_fg = 'none',
        -- Set the selection background color with alpha.
        -- When selection_bg is transparent, it will be alpha blended over
        -- the current cell background color, rather than replace it
        selection_bg = 'rgba(50% 50% 50% 50%)',
    },
    keys = {
        { key = 'v', mods = 'ALT', action = act.PasteFrom 'Clipboard' },
        { key = 'v', mods = 'ALT', action = act.PasteFrom 'PrimarySelection' },
    },
    window_background_opacity = 0.7,
    text_background_opacity = 1.0,
    color_scheme = 'tokyonight_night',
    hide_tab_bar_if_only_one_tab = true,
    font_size = 10.0,
    warn_about_missing_glyphs = false,
    harfbuzz_features = {
        "calt=0",
        "clig=0",
        "liga=0"
    },
}
